function [N, X, x1, x2, F, Q] = eg3data(N2)
%% forms the data used by the other eg3 functions

N = 4*N2;
x1 = [0;25;37.8;98.9];
x2 = linspace(.001, 7.5, N2)';
X = [kron(x1,ones(N2,1)),  kron(ones(4,1), x2)];

phix = [1053, 206.1, .398, .09354, 56.97, -.463];
X1 = X(:,1);
X2 = X(:,2);
e1 = (phix(5) + phix(6)*(X2.^2));
e2 = exp(-X1./e1);
e3 = (phix(3) + phix(4)*(X2.^2)).*X2.*e2;
F =  [1./(phix(2) +X1), -phix(1)./((phix(2) +X1).^2),X2, X2.^2, X2.^3, ...
    X2.*e2, (X2.^3).*e2, e3.*X1./(e1.^2), e3.*X1.*(X2.^2)./(e1.^2)];

[Q,~] = qr(F,0);