function [supportindices, frequency, check] = allocate(n, xi, indices)
w = xi(xi>0); % postive design weights
supportindices = indices(xi>0);
el = length(supportindices);
frequency = ceil((n-el/2)*w);
discrepancy = sum(frequency) - n;
% alternate through 1:el:
El = (1:el)';
EL = [El flipud(El)];
EL = EL';
kk = EL(:);
kk = kk(1:el);
while ~(discrepancy == 0)
    for i = 1:el
        k = kk(i);
%        [k discrepancy ...
%            ((frequency(k) - 1)/w(k) == max((frequency - 1)./w))...
%            (frequency(k)/w(k) == min(frequency./w))]
        if  discrepancy > 0  && (frequency(k) - 1)/w(k) == max((frequency - 1)./w)
            frequency(k) = frequency(k) - 1;
            discrepancy = sum(frequency) - n;
        end
        if  discrepancy < 0 && frequency(k)/w(k) == min(frequency./w)
            frequency(k) = frequency(k) + 1;
            discrepancy = sum(frequency) - n;
        end
%        [k, discrepancy]
    end
    discrepancy = sum(frequency) - n;
end
check = (min(frequency./w) -  max((frequency - 1)./w) >= 0);